## ros-noetic-influxdb-store 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(influxdb_store)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

file(GLOB NODE_SCRIPTS_FILES node_scripts/*)
catkin_install_python(
  PROGRAMS ${NODE_SCRIPTS_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-noetic-influxdb-store (2.1.28-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-influxdb-store (2.1.27-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-influxdb-store (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-influxdb-store (2.1.25-1focal) focal; urgency=high

  * [influxdb_store] fix package deps for python3 (#455 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/455>)
  * [influxdb_store] add stop_all_services.bash (#379 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/379>)
  * add influxdb_store package (#354 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/354>)
  * Contributors: Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-influxdb-store (2.1.24-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-influxdb-store (2.1.23-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-influxdb-store (2.1.22-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-influxdb-store (2.1.21-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-influxdb-store (2.1.20-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-influxdb-store (2.1.19-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-influxdb-store (2.1.18-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-influxdb-store (2.1.17-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 12:51:00 -0000

ros-noetic-influxdb-store (2.1.16-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 06:21:00 -0000

ros-noetic-influxdb-store (2.1.15-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-influxdb-store (2.1.14-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-influxdb-store (2.1.13-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-influxdb-store (2.1.12-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-influxdb-store (2.1.11-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-influxdb-store (2.1.10-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-influxdb-store (2.1.9-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-influxdb-store (2.1.8-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-influxdb-store (2.1.7-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-influxdb-store (2.1.6-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.5-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.4-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.3-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.2-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 05 Jul 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.1-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 04 Jul 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.1.0-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 01 Jul 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.0.20-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 08 May 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.0.19-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-noetic-influxdb-store (2.0.18-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000

ros-noetic-influxdb-store (2.0.17-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 21 Oct 2016 15:00:00 -0000

ros-noetic-influxdb-store (2.0.16-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 16 Oct 2016 15:00:00 -0000

ros-noetic-influxdb-store (2.0.15-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Oct 2016 15:00:00 -0000

ros-noetic-influxdb-store (2.0.14-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 19 Mar 2016 15:00:00 -0000

ros-noetic-influxdb-store (2.0.13-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 14 Dec 2015 15:00:00 -0000

ros-noetic-influxdb-store (2.0.12-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-influxdb-store
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-influxdb-store
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-influxdb, python3-tz, ros-noetic-pr2-msgs, ros-noetic-sensor-msgs
Description: The influxdb_store package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-influxdb-store//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
